import request from '@/utils/request'

// 查询直播红包记录配置列表
export function listLiveRedConf(query) {
  return request({
    url: '/live/liveRedConf/list',
    method: 'get',
    params: query
  })
}

// 查询直播红包记录配置详细
export function getLiveRedConf(redId) {
  return request({
    url: '/live/liveRedConf/' + redId,
    method: 'get'
  })
}

// 新增直播红包记录配置
export function addLiveRedConf(data) {
  return request({
    url: '/live/liveRedConf',
    method: 'post',
    data: data
  })
}

// 修改直播红包记录配置
export function updateLiveRedConf(data) {
  return request({
    url: '/live/liveRedConf',
    method: 'put',
    data: data
  })
}

// 删除直播红包记录配置
export function delLiveRedConf(redId) {
  return request({
    url: '/live/liveRedConf/' + redId,
    method: 'delete'
  })
}

// 导出直播红包记录配置
export function exportLiveRedConf(query) {
  return request({
    url: '/live/liveRedConf/export',
    method: 'get',
    params: query
  })
}


// 查询直播红包 未使用的红包
export function listLiveRedConfOn(query) {
  return request({
    url: '/live/liveRedConf/listOn',
    method: 'get',
    params: query
  })
}
